@bawoo011 check the mod compatibility list stated in the first post of this thread